Class
InternalMap
An internal property map using member ids.
InternalMap<TContainer, MemberId>
Include Headers
seqan/graph_types.h
Parameters

TContainer | The cargo type. Metafunctions: Cargo
MemberId | An unsigned int. Default: 0. Remarks: Specifies the position of the member in the cargo. Note: If zero it is assumed that the cargo is a simple type (e.g., int).

Remarks
Internal property maps are used to access internal edge cargos.
Metafunctions

Value | Type of the items in the container.

Functions

assignProperty | Assigns a property to an item in the property map.
getProperty | Get method for an item's property.
property | Accesses the property of an item in the property map.
resizeEdgeMap | Initializes an edge map

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45